package com.rjconsultores.ventaboletos.rest.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.ParadaDAO;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.rest.bean.ParamsSincronizarParada;
import com.rjconsultores.ventaboletos.vo.parada.ParadaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("sincronizarParadaService")
public class SincronizarParadaService {

	@ReadOnlyConnection
	public List<ParadaVO> buscarListaParadasPorId(ParamsSincronizarParada params) {
		ParadaDAO paradaDAO = (ParadaDAO)AppContext.getApplicationContext().getBean("paradaDAO");
		List<Parada> listaParada = paradaDAO.buscarListaPorIds(params.getListParadas());
		List<ParadaVO> listaParadaVO = new ArrayList<ParadaVO>();
		for (Parada parada : listaParada) {
			listaParadaVO.add( new ParadaVO(parada) );
		}
		
		return listaParadaVO;
	}	
	
}
